Passwordfile library: io/passwordfile.h File Reference

Passwordfile library 5.2.0 C++ library to read/write passwords from/to encrypted files

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
passwordfile.h File Reference
`#include "../global.h"`
`#include <c++utilities/io/binaryreader.h>`
`#include <c++utilities/io/binarywriter.h>`
`#include <c++utilities/io/nativefilestream.h>`
`#include <c++utilities/misc/flagenumclass.h>`
`#include <cstdint>`
`#include <memory>`
`#include <string>`
Include dependency graph for passwordfile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Io::PasswordFile
| The PasswordFile class holds account information in the form of Entry and Field instances and provides methods to read and write these information to encrypted files using OpenSSL. More...

## Namespaces
namespace | Io
| Contains all IO related classes.

## Enumerations
enum class | Io::PasswordFileOpenFlags : std::uint64_t { Io::None = 0 , Io::ReadOnly = (1 << 0) , Io::New = (1 << 1) , Io::Default = None }
enum class | Io::PasswordFileSaveFlags : std::uint64_t { Io::None = 0 , Io::Encryption = (1 << 0) , Io::Compression = (1 << 1) , Io::PasswordHashing = (1 << 2) , Io::AllowToCreateNewFile = (1 << 3) , Io::AuthenticationTag = (1 << 4) , Io::Default = Encryption | Compression | PasswordHashing | AllowToCreateNewFile | AuthenticationTag }

## Functions
PASSWORD_FILE_EXPORT std::string | Io::flagsToString (PasswordFileOpenFlags flags)
| Returns a comma-separated string for the specified flags.
PASSWORD_FILE_EXPORT std::string | Io::flagsToString (PasswordFileSaveFlags flags)
| Returns a comma-separated string for the specified flags.
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (Io, Io::PasswordFileOpenFlags)
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (Io, Io::PasswordFileSaveFlags)

## Function Documentation

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [1/2]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | Io | ,
|  | Io::PasswordFileOpenFlags | )

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [2/2]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | Io | ,
|  | Io::PasswordFileSaveFlags | )